<?php
// ## Archive Selectbox##
function showArchiveList($parameter) {
	global $database, $blogid, $defaultURL, $service, $suri, $configVal;
	if (isset($parameter['preview'])) {
		// preview mode
		$retval = "글 보관 목록을 셀렉트박스 형태로 출력해서 보여줍니다.";
		return $retval;
	}
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	$data['datestyle']		= isset($data['datestyle'])?$data['datestyle']:1; 
	$data['archiveheader']	= isset($data['archiveheader'])?$data['archiveheader']:"<div class=\"listbox\">\n<h3>archive</h3>\n";
	$data['archivefooter']	= isset($data['archivefooter'])?$data['archivefooter']:"</div>";
	
	$visibility = doesHaveOwnership()?'':' AND visibility > 0 ';
	$years	= DBQuery::queryAll("SELECT YEAR(FROM_UNIXTIME(published)) as  period, COUNT(*) count FROM {$database['prefix']}Entries WHERE blogid = $blogid AND draft = 0 {$visibility} AND category >= 0 GROUP BY period ORDER BY period DESC"); 
	$row = DBQuery::queryAll("SELECT EXTRACT(year_month FROM FROM_UNIXTIME(published)) period, COUNT(*) count FROM {$database['prefix']}Entries WHERE blogid = $blogid AND draft = 0 {$visibility} AND category >= 0 GROUP BY period ORDER BY period DESC");
	$target = $data['archiveheader'];
	$target .= "<div id=\"archivebox\">\n";
	$target .= "<select id=\"archiveSelect\" onchange=\"Go_URL(this);\">\n";
	$target .= "<option value=\"\">---------- Select Archive ----------</option>";
	foreach($years as $items){
		$target .= "<optgroup class=\"archiveYear\" label=\"{$items['period']} ({$items['count']})\">\n";
		foreach($row as $item){
			if($items['period'] == substr($item['period'],0,4)){
				$tempYear = substr($item['period'],0,4);
				switch($data['datestyle']){
					case 1:
						$a_date = substr($item['period'],0,4).'/'.substr($item['period'],4); break;
					case 2:
						$a_date = substr($item['period'],0,4).'년 '.substr($item['period'],4).'월'; break;
					case 3:
						$a_date = date("F Y",(mktime(0,0,0,substr($item['period'],4),1,substr($item['period'],0,4)))); break;
					default:
						$a_date = substr($item['period'],0,4).'/'.substr($item['period'],4); break;
				}
				$selected = ($suri['value'] == $item['period'])?" selected":"";
				$target .= "<option class=\"archiveMonth\" value=\"{$defaultURL}/archive/{$item['period']}\" {$selected}>{$a_date} ({$item['count']})</option>\n";
			}
		}
		$target .= "</optgroup>\n";
	}
	$target .= "</select>\n";
	$target .= "</div>\n";
	$target .= $data['archivefooter'];
	return $target;	
}
function showArchiveScriptStyle($target){
	global $blogURL;
	$style  = "<script type=\"text/javascript\" src=\"".$blogURL."/plugin/archiveScriptStyle/?mode=script\"></script>".CRLF;
	$style .= "<link rel=\"stylesheet\" type=\"text/css\" href=\"".$blogURL."/plugin/archiveScriptStyle/?mode=style\" />".CRLF;
	$target .= $style;
	return $target;
}

function getArchiveScriptStyle($target){
	global $configVal;
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	$data['archivewidth']  = isset($data['archivewidth'])?$data['archivewidth']:165;
	$data['archivemargin'] = isset($data['archivemargin'])?$data['archivemargin']:"5px 0px 0px 3px";
	if($_GET['mode'] == "style"){
		header('Content-type: text/css');
		echo '
			/* Archive to Selectbox CSS Setting */
			#archivebox{margin:'.$data['archivemargin'].';height:20px;}
			#archiveSelect{font:8pt tahoma; width:'.$data['archivewidth'].'px; color:#555;}
			#archiveSelect optgroup{background-color: #efefef; color:#333;font-weight:bold;padding:2px 0 2px 0px;}
			#archiveSelect option{background-color: #ffffff;}
			#archiveSelect .archiveMonth{background-color: #ffffff;padding:0 5px 0 20px;}
		';
	}else if($_GET['mode'] == "script"){
		header('Content-type: text/javascript');
		echo '
			/* Archive to Selectbox Script */
			function Go_URL(selectObject){if(selectObject.options[selectObject.selectedIndex].value){location.href=selectObject.options[selectObject.selectedIndex].value;}}
		';
	}
	flush();
}

function ArchiveDateStyleDataSet($DATA){
	requireComponent('Textcube.Function.misc');
	$cfg = misc::fetchConfigVal($DATA);
	return true;
}
?>